QGIS Application - Bug report #20454

macOS 3.4.1 package grass libraries pointing at wrong gdal

2018-11-11 06:59 PM - Simon Wells

Status: Closed

Priority: Normal

Assignee: William Kyngesburye
Category: mac_os_specific

Affected QGIS version:3.4.1
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 28274

Description

the macOS 3.4.1 package comes with GDAL.framework 2.3 however the grass libraries are still looking for GDAL.framework 2.2

/Library/Frameworks/GDAL.framework/Versions/2.2/GDAL (compatibility version 24.0.0, current version 24.2.0) (from otool -L

Contents/MacOS/grass/lib/libgrass_gproj.7.2.2.dylib)

this was also the case in 3.4.0

History

#1 - 2018-11-11 07:05 PM - William Kyngesburye

Ah, that's probably why it's reporting gdalwarp not found in issue #20435. I'll push out a new installer to fix this.

#2 - 2018-11-12 02:04 AM - Simon Wells
- Status changed from Open to Closed

fixed in 3.4.1-2, thanks
